## python-octavia-lib 1.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
python-octavia-lib (1.1.1-0ubuntu1) disco; urgency=low

  * Initial release.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 10:34:07 +0000

=== debian/control ===
Source: python-octavia-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-mock,
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 3.2.0),
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.2.1
Homepage: https://github.com/openstack/octavia-lib
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-octavia-lib
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-octavia-lib

Package: python3-octavia-lib
Architecture: all
Depends:
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: Library to support Octavia provider drivers
 Octavia provides the Load Balancer as a Service for
 OpenStack clouds.
 .
 This python module provides a python library for Octavia
 LBaaS provider driver developers.
 .
 This package contains the Python 3 module.

## python-octavia-lib 1.4.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization>=2.28.1 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 six>=1.10.0 # MIT
+tenacity>=5.0.2 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
openstackdocstheme>=1.20.0  # Apache-2.0
sphinxcontrib-apidoc>=0.2.1 # BSD
# releasenotes
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-octavia-lib (1.4.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Sep 2019 20:31:45 +0000

python-octavia-lib (1.4.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:11:31 -0400

python-octavia-lib (1.2.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Align with other Ubuntu OpenStack packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:33:00 -0400

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,27 @@
  python-pbr,
  python-setuptools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-mock,
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
+ python3-doc8 (>= 0.6.0),
+ python3-hacking (>= 0.12.0),
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.28.1),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 3.2.0),
- python3-six,
+ python3-oslotest (>= 1:3.2.0),
+ python3-reno (>= 2.5.0),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.1),
  python3-stestr (>= 2.0.0),
+ python3-subunit (>= 1.0.0),
+ python3-tenacity (>= 5.0.2),
  python3-testtools (>= 2.2.0),
 Standards-Version: 4.2.1
 Homepage: https://github.com/openstack/octavia-lib
@@ -33,7 +43,9 @@
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.serialization (>= 2.28.1),
- python3-six,
+ python3-pbr (>= 2.0.0),
+ python3-six (>= 1.10.0),
+ python3-tenacity (>= 5.0.2),
  ${misc:Depends},
  ${python3:Depends},
 Description: Library to support Octavia provider drivers

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf debian/python*/usr/share/octavia-lib

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-octavia-lib 2.0.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
openstackdocstheme>=1.20.0  # Apache-2.0
sphinxcontrib-apidoc>=0.2.1 # BSD
# releasenotes
reno>=2.5.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-octavia-lib (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:10:05 -0400

python-octavia-lib (1.5.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 15:55:59 -0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr,
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -28,6 +25,7 @@
  python3-reno (>= 2.5.0),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.1),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
  python3-stestr (>= 2.0.0),
  python3-subunit (>= 1.0.0),
  python3-tenacity (>= 5.0.2),

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/octavia-lib/octavia-lib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-octavia-lib 2.2.0

=== requirements.txt ===
--- 
+++ 
@@ -5,5 +5,4 @@
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization>=2.28.1 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-six>=1.10.0 # MIT
 tenacity>=5.0.2 # Apache-2.0

=== debian/changelog ===
python-octavia-lib (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 10:54:13 +0200

python-octavia-lib (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 15:47:44 +0200

python-octavia-lib (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 16:07:58 +0200

python-octavia-lib (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:06:40 +0200

python-octavia-lib (1.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 09:20:38 +0200

python-octavia-lib (1.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 22:46:36 +0200

python-octavia-lib (1.1.1-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Fix wrong Vcs-*.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:43:12 +0200

python-octavia-lib (1.1.1-1) experimental; urgency=medium

  * Initial release. (Closes: #925968)

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 16:06:00 +0100

=== debian/control ===
Source: python-octavia-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 97~),
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-doc8,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.i18n,
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils,
 python3-oslotest,
 python3-pbr,
 python3-reno,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-stestr,
 python3-tenacity (>= 5.0.2),
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-octavia-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-octavia-lib.git
Homepage: https://docs.openstack.org/octavia-lib/latest/

Package: python-octavia-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library to support Octavia provider drivers - doc
 This python module provides a python library for Octavia provider driver
 developers. Drivers are enabled by entries in the Octavia configuration file.
 .
 See the provider driver development guide for more information:
 .
  https://docs.openstack.org/octavia/latest/contributor/guides/providers.html
 .
 This package contains the documentation.

Package: python3-octavia-lib
Architecture: all
Depends:
 python3-oslo.i18n,
 python3-oslo.serialization (>= 2.28.1),
 python3-pbr,
 python3-tenacity (>= 5.0.2),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-octavia-lib-doc,
Description: library to support Octavia provider drivers - Python 3.x
 This python module provides a python library for Octavia provider driver
 developers. Drivers are enabled by entries in the Octavia configuration file.
 .
 See the provider driver development guide for more information:
 .
  https://docs.openstack.org/octavia/latest/contributor/guides/providers.html
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/octavia-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-octavia-lib-doc/usr/share/doc/python-octavia-lib-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/octavia-lib/octavia-lib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-octavia-lib 2.3.0

=== debian/changelog ===
python-octavia-lib (2.3.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 09 Mar 2021 15:18:23 +0000

python-octavia-lib (2.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 09 Mar 2021 14:50:57 +0000

python-octavia-lib (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:07:56 +0000

python-octavia-lib (2.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jul 2020 20:33:05 -0400

## python-octavia-lib 2.4.1

=== debian/changelog ===
python-octavia-lib (2.4.1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 20:50:35 +0000

python-octavia-lib (2.4.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:24:23 -0400

python-octavia-lib (2.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:38:25 -0400

python-octavia-lib (2.3.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 09 Jun 2021 07:39:01 +0000

## python-octavia-lib 2.5.0

=== debian/changelog ===
python-octavia-lib (2.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 14:21:16 -0500

=== debian/control ===
Source: python-octavia-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-hacking (>= 1.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.1),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-tenacity (>= 5.0.2),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.5.0
Homepage: https://opendev.org/openstack/octavia-lib
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-octavia-lib
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-octavia-lib

Package: python3-octavia-lib
Architecture: all
Depends:
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.28.1),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-tenacity (>= 5.0.2),
 ${misc:Depends},
 ${python3:Depends},
Description: Library to support Octavia provider drivers
 Octavia provides the Load Balancer as a Service for
 OpenStack clouds.
 .
 This python module provides a python library for Octavia
 LBaaS provider driver developers.
 .
 This package contains the Python 3 module.

## python-octavia-lib 3.1.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
python-octavia-lib (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 10:54:11 +0200

python-octavia-lib (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 09:00:11 +0200

python-octavia-lib (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 13:54:54 +0100

python-octavia-lib (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Feb 2022 17:21:22 +0100

python-octavia-lib (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 10:39:30 +0200

python-octavia-lib (2.4.1-1) experimental; urgency=medium

  [ Mickael Asseline ]
  * New upstream release.
  * Added myself in copyright and uploaders.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 11:24:08 +0200

python-octavia-lib (2.3.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:30:21 +0200

python-octavia-lib (2.3.1-1) experimental; urgency=medium

  * Fixed debian/watch file.
  * New upstream release.
  * Removed (build-)depends version when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 10:39:56 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/octavia-lib/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-octavia-lib 3.2.0

=== debian/changelog ===
python-octavia-lib (3.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047192).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 10:45:57 +0200

python-octavia-lib (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:51:39 +0200

python-octavia-lib (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 09:04:45 +0100

## python-octavia-lib 3.3.0

=== debian/changelog ===
python-octavia-lib (3.3.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 11 Jul 2023 20:24:52 +0000

python-octavia-lib (3.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2023 13:56:36 -0400

python-octavia-lib (3.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:57:29 -0500

python-octavia-lib (3.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 18:25:30 -0400

python-octavia-lib (3.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 15:43:45 -0400

## python-octavia-lib 3.3.1

=== debian/changelog ===
python-octavia-lib (3.3.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:55:16 +0000

python-octavia-lib (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 21:58:11 +0200

python-octavia-lib (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 17:10:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr
+	rm -rf build .stestr doc/source/reference/modules *.egg-info
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

## python-octavia-lib 3.4.0

=== debian/changelog ===
python-octavia-lib (3.4.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jan 2024 13:07:01 +0000

## python-octavia-lib 3.5.0

=== debian/changelog ===
python-octavia-lib (3.5.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 15:13:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -29,9 +29,8 @@
  python3-subunit (>= 1.0.0),
  python3-tenacity (>= 5.0.2),
  python3-testtools (>= 2.2.0),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://opendev.org/openstack/octavia-lib
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-octavia-lib
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-octavia-lib
 
 Package: python3-octavia-lib

## python-octavia-lib 3.6.0

=== debian/changelog ===
python-octavia-lib (3.6.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090543).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:44:16 +0100

python-octavia-lib (3.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:11:22 +0200

python-octavia-lib (3.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 11:36:04 +0200

python-octavia-lib (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:09:58 +0200

python-octavia-lib (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Feb 2024 14:47:52 +0100

## python-octavia-lib 3.7.0

=== debian/changelog ===
python-octavia-lib (3.7.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 11:29:07 +0000

python-octavia-lib (3.6.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 09:56:56 +0100

## python-octavia-lib 3.8.0

=== debian/changelog ===
python-octavia-lib (3.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:46:44 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=octavia_lib

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-octavia-lib 3.9.0+git2025070814.28fd6d5

=== debian/changelog ===
python-octavia-lib (3.9.0+git2025070814.28fd6d5-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/watch: Include PBR version.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 15 Jul 2025 14:37:04 -0700

## python-octavia-lib 3.10.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
tenacity>=5.0.2 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-apidoc>=0.2.1 # BSD
# releasenotes
reno>=3.1.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-octavia-lib (3.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 10:41:06 +0200

python-octavia-lib (3.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 13:07:10 +0200

python-octavia-lib (3.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 09:09:27 +0100

python-octavia-lib (3.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 14:04:52 +0100

=== debian/control ===
Source: python-octavia-lib
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Mickael Asseline <mickael@papamica.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-doc8,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-pbr,
 python3-reno,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-stestr,
 python3-tenacity,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-octavia-lib
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-octavia-lib.git
Homepage: https://docs.openstack.org/octavia-lib/latest/

Package: python-octavia-lib-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library to support Octavia provider drivers - doc
 This python module provides a python library for Octavia provider driver
 developers. Drivers are enabled by entries in the Octavia configuration file.
 .
 See the provider driver development guide for more information:
 .
  https://docs.openstack.org/octavia/latest/contributor/guides/providers.html
 .
 This package contains the documentation.

Package: python3-octavia-lib
Architecture: all
Depends:
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-pbr,
 python3-tenacity,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-octavia-lib-doc,
Description: library to support Octavia provider drivers - Python 3.x
 This python module provides a python library for Octavia provider driver
 developers. Drivers are enabled by entries in the Octavia configuration file.
 .
 See the provider driver development guide for more information:
 .
  https://docs.openstack.org/octavia/latest/contributor/guides/providers.html
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/octavia-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr doc/source/reference/modules *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-octavia-lib-doc/usr/share/doc/python-octavia-lib-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/octavia-lib refs/tags/(\d[brc\d\.]+)

## python-octavia-lib 3.11.0

=== debian/changelog ===
python-octavia-lib (3.11.0-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-gazpacho.debian.net>  Tue, 24 Feb 2026 14:02:56 +0000

python-octavia-lib (3.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 14:48:20 +0100

python-octavia-lib (3.10.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047192).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 13:56:56 +0100
